## openafs 1.6.10

=== debian/changelog ===
openafs (1.6.10-4) unstable; urgency=medium

  * Update Spanish translation, thanks Javier Fernandez-Sanguino Pena.
    (Closes: #773565)
  * Import many patches from upstream:
    - Support newer linux versions, up through 3.19. (Closes: #771298)
    - Avoid some spurious getcwd() failures.
    - Improve configure test for key_type.match (which caused buggy
      behavior in certain versions of RHEL).
    - Fix a refcount leak that would manifest as an unrelated OOPS.
    - Avoid using a stale data version in certain cases when writing
      files larger than the AFS cache, which manifested as file corruption.
    This leaves us roughly equivalent to the forthcoming 1.6.11pre2
    release candidate.
  * Update CellServDB to the 2015-01-19 release.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 04 Feb 2015 13:35:48 -0500

openafs (1.6.10-3) unstable; urgency=medium

  * Make openafs-client Before=umount.target for improved shutdown
    behavior. (Affects: #760063)
  * Mark openafs-client.service as RemainAfterExit=true. (Closes: #770815)

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 26 Nov 2014 13:00:27 -0500

openafs (1.6.10-2) unstable; urgency=medium

  * Some shell quoting and similar cleanups in openafs-client-precheck
    from Anders Kaseorg.
  * Make the openafs-client unit silently succeed when it is already
    running, to match the behavior of the sysV script. (Closes: #767056)

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 28 Oct 2014 18:52:47 -0400

openafs (1.6.10-1) unstable; urgency=medium

  * New upstream release.
    - fix segfault with aklog -path.
  * The 1.6.10~pre1-1 changelog entry contains a full summary of changes
    in the upstream release.
  * Add a systemd unit file for openafs-client. (Closes: #760063)
    - The variables AFS_PRE_SHUTDOWN and AFS_POST_INIT from
      /etc/openafs.afs.conf are no longer honored.  They should be
      converted to the systemd format and placed in
      /etc/systemd/system/openafs-client.service.d/ ; automatic conversion
      is not possible.  In particular, the kill_all_afs functionality is
      not available.
    - The LIBAFS, MODULEDIR, and DKMSDIR settings from
      /etc/openafs/afs.conf are not used by the unit file.
    - The extra shutdown handling for when the NFS translator is used
      was not converted to the systemd format; the necessary feature
      was removed from the Linux kernel in 2008.
    - Support for cold shutdowns is removed.  They generally resulted
      only in strange failures later on.
  * Add a systemd unit file for openafs-fileserver.
  * Use heap-allocated buffers of sufficient length for realpath() in
    userok.c. (Closes: #757378)
  * Update Dutch translation. (Closes: #765083)

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 22 Oct 2014 13:10:59 -0400

=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Benjamin Kaduk <kaduk@mit.edu>
Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
 cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
 libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
 xsltproc
Standards-Version: 3.9.6
Homepage: http://www.openafs.org/
Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git

Package: openafs-client
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
 | openafs-modules-source (>= ${source:Version})
 | openafs-modules3
Suggests: openafs-doc, openafs-krb5
Conflicts: arla
Breaks: openafs-modules1, openafs-modules2
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.  If your site uses Kerberos v5 authentication for AFS, you will also
 want to install openafs-krb5.

Package: openafs-fuse
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed file system experimental FUSE client
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides an experimental FUSE implementation of the AFS
 client as afsd.fuse.  This currently only provides read-only access to
 AFS, doesn't work with all of the normal AFS client programs, and must be
 started manually, but may be of interest in situations where read-only
 access is sufficient and the kernel module cannot be built.

Package: openafs-kpasswd
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: AFS distributed filesystem old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the OpenAFS
 kaserver to create users and change passwords.  Only install this package
 if you are already using kaserver; generally you should not install this
 package for new cells or for cells using Kerberos v5.

Package: openafs-fileserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, openafs-client
Recommends: ntp | time-daemon
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
 openafs-fileserver
Recommends: openafs-client
Suggests: openafs-doc
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: openafs-client (<< 1.4.7.dfsg1-1)
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libkopenafs1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (PAGs)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing an interface to
 manipulating AFS process authentication groups (PAGs).  It provides the
 a subset of the interface provided by the Heimdal libkafs library.

Package: libafsauthent1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (authentication)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing AFS client
 authentication and token management.

Package: libafsrpc1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (RPC layer)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing the Rx protocol and
 other AFS RPC functionality.

Package: libopenafs-dev
Section: libdevel
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 libafsauthent1 (= ${binary:Version}), libafsrpc1 (= ${binary:Version}),
 libkopenafs1 (= ${binary:Version}),
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8),
 module-assistant | kernel-package, perl
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the source to the AFS kernel module in a form
 suitable for use by module-assistant or kernel-package.

Package: openafs-modules-dkms
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dkms, libc6-dev
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module DKMS source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the source for the AFS kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.

Package: libpam-openafs-kaserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Section: admin
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed filesystem kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos v5
 implementation, a Kerberos v5 PAM module such as libpam-krb5, and
 libpam-afs-session.

Package: openafs-dbg
Section: debug
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${misc:Depends}, openafs-fileserver (= ${binary:Version})
 | openafs-dbserver (= ${binary:Version})
Description: AFS distributed filesystem debugging information
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the debugging information for the OpenAFS
 server binaries (the openafs-fileserver and openafs-dbserver packages).

## openafs 1.6.14

=== debian/changelog ===
openafs (1.6.14-1) unstable; urgency=medium

  * New upstream release.
    - Restore support for using regexes for volume names to backup,
      accidentally disabled as part of the fix for OPENAFS-SA-2015-006
  * Update Swedish translation, thanks Martin Bagge and Anders Jonsson.
    (Closes: #781678)
  * Note that the protocol document rfc5864.txt is dual licensed.
    (Closes: #768385)
  * Supply copyright notice for systemd helper scripts. (Closes: #779170)
  * Import upstream patches to support the 4.2 Linux kernel.

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 17 Aug 2015 15:01:01 -0400

openafs (1.6.13-1) unstable; urgency=high

  * New upstream security release.
    - OPENAFS-SA-2015-001 CVE-2015-3282: vos leaks stack data onto the wire
      in the clear when creating vldb entries
    - OPENAFS-SA-2015-002 CVE-2015-3283: bos commands can be spoofed,
      including some which alter server state
    - OPENAFS-SA-2015-003 CVE-2015-3284: pioctls leak kernel memory contents
    - OPENAFS-SA-2015-004 CVE-2015-3285: kernel pioctl support for OSD
      command passing can trigger a panic
    - OPENAFS-SA02015-005 CVE-2015-3286 is Solaris-specific and did not
      affect Debian
    - OPENAFS-SA-2015-006 CV-2015-3287: buffer overflow in vlserver
  * Also includes changes from the upstream 1.6.12 release:
    - Avoid database corruption if a database server is shut down and
      brought up again quickly with an altered database
    - Fix a potential buffer overflow in aklog
    - Support for Linux kernels up to 4.1
    - Avoid spurious EIO errors when writing large chunks of data to
      mmapped files

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 30 Jul 2015 17:42:43 -0400

openafs (1.6.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Support for Linux kernels up to 4.0.

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 15 May 2015 11:02:14 -0400

openafs (1.6.11~pre2-1) experimental; urgency=low

  * New upstream pre-release.
    - Avoid using a stale data version in certain cases when writing
      files larger than the AFS cache, which manifested as file corruption.
    - Fix a refcount leak that could lead to panics.
    - Support newer linux versions, up through 3.19.
    - Fix some leaks and crashes in error cases.

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 20 Feb 2015 15:50:49 -0500

openafs (1.6.11~pre1-1) experimental; urgency=low

  * New upstream pre-release.
    - Linux kernels up to 3.17 are now supported.
    - Fix more incorrect behavior in our revalidation of dcache entries. Bugs
      in this area can cause stale path lookups in certain situations, as well
      as cause getcwd() to fail spuriously.
    - Allow aklog to succeed in creating native K5 tokens even when K5-to-K4
      principal conversion fails.

 -- Andrew Deason <adeason@sinenomine.net>  Sun, 07 Dec 2014 23:43:21 -0600

## openafs 1.6.15

=== src/packaging/FreeBSD/Makefile ===
# New ports collection makefile for:	openafs
# Date created:				2010-11-06
# Whom:					Ben Kaduk <kaduk@mit.edu>
# Based on:				port by Alec Kloss <alec@setfilepointer.com>
#
# $FreeBSD$
#

PORTNAME=	openafs
DISTVERSION=	1.6.0pre3
CATEGORIES=	net kld
MASTER_SITES=	http://dl.central.org/dl/openafs/candidate/${DISTVERSION}/:openafs \
		http://dl.openafs.org/dl/openafs/candidate/${DISTVERSION}/:openafs \
		http://dl.central.org/dl/cellservdb/:gco \
		http://grand.central.org/dl/cellservdb/:gco
DISTFILES=	${PORTNAME}-${DISTVERSION}-src.tar.bz2:openafs \
		${PORTNAME}-${DISTVERSION}-doc.tar.bz2:openafs \
		CellServDB:gco
EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}-src.tar.bz2 \
		${PORTNAME}-${DISTVERSION}-doc.tar.bz2

MAINTAINER=	kaduk@mit.edu
COMMENT=	AFS implementation from openafs.org

OPTIONS=	FUSE "Build afsd.fuse (enable fuse support)" off

USE_LDCONFIG=	yes
PATCH_STRIP=	-p1

USE_BZIP2=	yes
HAS_CONFIGURE=	yes
USE_RC_SUBR=	afsd afsserver

ONLY_FOR_ARCHS=	i386 amd64

KERNELDIR=	/usr/obj/usr/src/sys/GENERIC
KMODDIR=	/boot/modules

.include <bsd.port.pre.mk>

.if ${OSVERSION} < 800000
IGNORE=	supports FreeBSD 8.0 and later
.endif

.if !exists(${KERNELDIR}/opt_global.h)
IGNORE= OpenAFS requires opt_global.h from kernel build tree
.endif

CONFIGURE_ARGS=	--prefix=${PREFIX} \
	--localstatedir=/var \
	--mandir=${PREFIX}/man \
	--with-bsd-kernel-build=${KERNELDIR} \
	--enable-debug \
	--enable-debug-kernel \
	--enable-debug-lwp \
	--includedir=${PREFIX}/include/openafs \
			${CONFIGURE_TARGET}
#	--with-krb5 KRB5CFLAGS=-I/usr/include \
#	KRB5LIBS='-lkrb5 -lcom_err -lcrypto -lcrypt -lasn1 -lhx509 -lroken'

.if !defined(WITH_FUSE)
CONFIGURE_ARGS+=	--disable-fuse-client
PLIST_SUB+=	FUSE="@comment "
.else
LIB_DEPENDS+=	fuse.2:${PORTSDIR}/sysutils/fusefs-libs
PLIST_SUB+=	FUSE=""
.endif

WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION}

CONFLICTS=	heimdal-[0-9]*

.include "Makefile.man"

post-install:
	@${MKDIR} ${PREFIX}/etc/openafs
	@${CP} ${DISTDIR}/CellServDB ${PREFIX}/etc/openafs/CellServDB.sample
	@if [ ! -e ${PREFIX}/etc/openafs/CellServDB ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/CellServDB.sample ${PREFIX}/etc/openafs/CellServDB ; \
	fi
	@${ECHO_CMD} openafs.org > ${PREFIX}/etc/openafs/ThisCell.sample
	@if [ ! -e ${PREFIX}/etc/openafs/ThisCell ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/ThisCell.sample ${PREFIX}/etc/openafs/ThisCell ; \
	fi
	@${ECHO_CMD} '/afs:/usr/vice/cache:150000' > ${PREFIX}/etc/openafs/cacheinfo.sample
	@if [ ! -e ${PREFIX}/etc/openafs/cacheinfo ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/cacheinfo.sample ${PREFIX}/etc/openafs/cacheinfo; \
	fi
	${MV} ${PREFIX}/lib/openafs/libafs.ko ${KMODDIR}/
	@${RMDIR} ${PREFIX}/lib/openafs
	kldxref ${KMODDIR}

pre-deinstall:
	@if cmp -s ${PREFIX}/etc/openafs/CellServDB ${PREFIX}/etc/openafs/CellServDB.sample; then \
		${RM} ${PREFIX}/etc/openafs/CellServDB; fi
	@if cmp -s ${PREFIX}/etc/openafs/ThisCell ${PREFIX}/etc/openafs/ThisCell.sample; then \
		${RM} ${PREFIX}/etc/openafs/ThisCell; fi
	@if cmp -s ${PREFIX}/etc/openafs/cacheinfo ${PREFIX}/etc/openafs/cacheinfo.sample; then \
		${RM} ${PREFIX}/etc/openafs/cacheinfo; fi

.include <bsd.port.post.mk>

=== debian/changelog ===
openafs (1.6.15-1ubuntu1.1) xenial; urgency=medium

  * debian/patches/1002-Linux-4.9-inode_change_ok-becomes-setattr_prepare.patch
   - Linux 4.9: inode_change_ok() becomes setattr_prepare()
     (LP: #1922242)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 01 Apr 2021 18:20:36 +0200

openafs (1.6.15-1ubuntu1) xenial; urgency=low

  * debian/patches/1000-follow-changes-to-key-payload-accessors.patch:
   - follow mainline changes to key payload storage and access.
     (LP: #1538520)
  * debian/patches/1001-follow-changes-to-locks_lock_inode_wait.patch:
   - follow mainline changes to locking switching to
     locks_lock_inode_wait() (LP: #1538520)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 26 Jan 2016 13:39:07 +0000

openafs (1.6.15-1) unstable; urgency=high

  * New upstream security release.
    - Fix data leakage in rx ACK packets, OPENAFS-SA-2015-007,
      CVE-2015-7762, CVE-2015-7763.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 28 Oct 2015 15:56:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
-Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
+ Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening flags in hardening-wrapper.  This is a temporary
# workaround until upstream supports using user-provided CFLAGS, CPPFLAGS,
# and LDFLAGS.
export DEB_BUILD_HARDENING = 1

# Tell Autoconf the correct system types.
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Set compiler flags.
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

# Determine whether we're building with optimization.  This doesn't really
# work at the moment due to upstream problems.
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    DEBIAN_OPT_FLAGS = --disable-optimize --disable-optimize-lwp
    DEBIAN_KERN_FLAGS = --disable-optimize-kernel
else ifneq (,$(findstring arm-linux-gnueabi,$(DEB_HOST_GNU_TYPE)))
    DEBIAN_OPT_FLAGS = --disable-optimize --disable-optimize-lwp
    DEBIAN_KERN_FLAGS = --disable-optimize-kernel
else
    DEBIAN_OPT_FLAGS =
    DEBIAN_KERN_FLAGS =
endif

SYS_NAME  := $(shell sh debian/sysname)

package    = openafs
srcpkg     = openafs-modules-source
dkmspkg    = openafs-modules-dkms
DOCS       = $(CURDIR)/debian/openafs-doc/usr/share/doc/openafs-doc

# The path to the XSLT used to generate HTML from the DocBook source files.
# This path is specific to different Linux distributions, so we have to pass
# it into configure.
HTML_XSL   = /usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl

# The /usr/share/doc directory for these packages should be a symlink to
# /usr/share/doc/openafs-client.  Any package on this list must depend on
# openafs-client.  This variable is used as options to dh_installdocs with
# the --link-doc option.
DOC_PACKAGES = -plibpam-openafs-kaserver -popenafs-fuse -popenafs-kpasswd

# These are files that we know we don't want to install.  List them so that we
# can use dh_install --fail-missing and catch anything new that shows up.
IGNORE = -XAuthLog -Xaklog_dynamic_auth.8 -Xcopyauth -Xdlog -Xdpass	\
	-Xfms.log -Xfs_chgrp.1 -Xfs_chown.1 -Xfs_cscpolicy.1		\
	-Xfs_flushall.1 -Xfs_memdump.1 -Xfs_minidump.1 -Xfs_trace.1	\
	-Xkadb_check -Xkaserver -Xkdb -Xkdump -Xkpwvalid -Xpagsh.krb	\
	-Xsymlink -Xtokens.krb -Xuss -Xvldb_convert -Xvsys		\
	-Xxfs_size_check

# Installed via other means since we have to rename them.
IGNORE += -Xafsd.fuse.8 -Xpam_afs

# These variables are used by get-orig-source, to construct dkms.conf, and
# to set the build version.  You will need to change TAG to package stable
# releases instead of experimental releases.
DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
TAG     := $(shell echo 'openafs-stable-$(VERSION)' | sed 's/\./_/g')
REPO    := git://git.openafs.org/openafs.git

# Upstream does tarball releases for major releases, but not for point
# relesaes, and the tarball releases are split into src and doc and contain
# the WINNT directory.  Dropping WINNT, which is not used on Debian, saves a
# substantial amount of space in the source package, and there's no reason
# to include the files generated by regen.sh when we're going to run it
# again ourselves anyway.
#
# This rule therefore generates an upstream tarball from the upstream Git
# tag, rather than the tarball release, without the generated files that are
# not in Git and without the WINNT directory.  It assumes that git-core is
# installed and there's network connectivity to the upstream repository.
get-orig-source:
	git archive --remote='$(REPO)' --prefix='openafs_$(DEBVERS).orig/' \
	    --format=tar '$(TAG)'					   \
	    | tar --delete 'openafs_$(DEBVERS).orig/src/WINNT'		   \
	    | xz > 'openafs_$(DEBVERS).orig.tar.xz'

# Use dh for most actions, with overrides below.
%:
	dh $@ --with-systemd

# Handle the renaming of the up man page to afs-up here since the man pages
# are generated from POD source by regen.sh.
override_dh_auto_configure:
	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
	echo '$(DEBIAN)'-debian > .version
	mv doc/man-pages/pod1/up.pod doc/man-pages/pod1/afs-up.pod
	rm -f doc/man-pages/man1/up.1
	sh regen.sh
	afslogsdir=/var/log/openafs afslocaldir=/var/lib/openafs/local	   \
	    sh configure						   \
	    CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
	    --with-afs-sysname=$(SYS_NAME) --disable-kernel-module	   \
	    --prefix=/usr --mandir=\$${prefix}/share/man		   \
	    --sysconfdir=/etc --libexecdir=/usr/lib --with-krb5		   \
	    --localstatedir=/var/lib --enable-supergroups		   \
	    --enable-fuse-client --enable-debug --enable-debug-lwp	   \
	    --with-docbook2pdf=dblatex --with-xslt-processor=xsltproc	   \
	    --with-html-xsl=$(HTML_XSL)					   \
	    $(DEBIAN_OPT_FLAGS) $(SYSTEM)

# Also build a libafs_tree and build the XML documentation if building
# architecture-independent packages.
override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) libafs_tree
	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do	\
	    $(MAKE) -C doc/xml/$$d all ;				\
	done

# The manipulation of debian/changelog here is unnecessary with a regular
# Debian build.  It is provided solely so that upstream can share the Debian
# packaging files, working around problems caused by upstream's distclean
# removing packaging/Debian/changelog because it's Autoconf-generated.
override_dh_auto_clean:
	[ ! -f doc/man-pages/pod1/afs-up.pod ] \
	    || mv doc/man-pages/pod1/afs-up.pod doc/man-pages/pod1/up.pod
	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do	    \
	    [ ! -f doc/xml/$$d/Makefile ] || $(MAKE) -C doc/xml/$$d clean ; \
	done
	[ ! -f debian/changelog.in ] \
	    || cp debian/changelog debian/changelog.save
	dh_auto_clean
	[ -f debian/changelog ] || mv debian/changelog.save debian/changelog

# We have to use a non-standard install target and then do some fiddling
# with the results.
override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install_nolibafs DESTDIR=$(CURDIR)/debian/tmp
	rm -f debian/tmp/usr/bin/klog.krb
	rm -f debian/tmp/usr/share/man/man1/klog.krb.1

# Override dh_install for architecture-dependent builds to move some files
# around, do some manual installation of things like PAM modules, and ensure
# that scripts we install are executable
override_dh_install-arch:
	chmod +x debian/afs-rootvol debian/afs-newcell
	dh_install --fail-missing $(IGNORE)

	mv debian/openafs-client/usr/bin/pagsh \
	    debian/openafs-client/usr/bin/pagsh.openafs
	mv debian/openafs-client/usr/share/man/man1/pagsh.1 \
	    debian/openafs-client/usr/share/man/man1/pagsh.openafs.1
	mv debian/openafs-client/usr/bin/klog \
	    debian/openafs-client/usr/bin/klog.afs
	mv debian/openafs-client/usr/share/man/man1/klog.1 \
	    debian/openafs-client/usr/share/man/man1/klog.afs.1
	mv debian/openafs-client/usr/bin/up \
	    debian/openafs-client/usr/bin/afs-up

	install -m 644 -c debian/tmp/usr/lib/pam_afs.so.1 \
	    debian/libpam-openafs-kaserver/lib/security/pam_afs.so
	install -m 644 -c debian/tmp/usr/lib/pam_afs.krb.so.1 \
	    debian/libpam-openafs-kaserver/lib/security/pam_afs.krb.so

	install -d debian/openafs-dbserver/usr/share/man/man8
	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
	    afs-rootvol )						\
	    >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
	    afs-newcell )						\
	    >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8

# Override dh_install for architecture-independent builds to handle
# installation of all the extra documentation that upstream doesn't install

## openafs 1.6.18.2

=== debian/changelog ===
openafs (1.6.18.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Remove patches that are already present in upstream.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 31 Jul 2016 18:04:38 -0400

openafs (1.6.18.2-1) unstable; urgency=medium

  * New upstream release 1.6.18.2:
    - Support Linux kernel 4.6.
    - Revert the vcache cleanup improvement of 1.6.18, which exposed
      another previously latent issue that wrongly invalidated the current
      working directry on some kernels.
  * Update CellServDB to the 2016-01-01 release.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 25 Jul 2016 19:12:12 -0400

openafs (1.6.18.1-1) unstable; urgency=medium

  * New upstream release 1.6.18.1:
    - Support Linux kernel 4.5.
    - Check return value from bdi_init.
  * Import upstream Gerrit patch to allow building with Linux kernel 4.6.
    (Closes: #826922)

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 26 Jun 2016 20:16:54 -0400

openafs (1.6.18-1) unstable; urgency=high

  * New upstream release 1.6.18:
    - Support for Linux 4.4 kernels.
    - Improve dynamic vcache cleanup behavior, reducing memory usage and
      avoiding a long hang when many vcaches are in use
    - Deprecate afsd -settime.
    - Failure to release a volume now reports an error back to the client.
    - Check for invalid IP addresses in the CellServDB.
    - Fix dafileserver crash experience with large volumes.
    - Close race between "umount /afs" and "afsd -shutdown".
    - Prefer -dryrun arguments to -noexecute.
    - Limit ChangeAddr RPCs to removal, to avoid database corruption.
    - Improve behavior relating to large (~2GB fetches from the fileserver).
  * Import patches from upstream gerrit to improve support for
    Linux 4.5 kernels.  (Closes: #821782)
  * Depend on sysint.target instead of basic.target in openafs-client.service,
    to eliminate dependency cycles with other services that depend on
    remote-fs.target.  (Closes: #794451)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 15 May 2016 22:19:38 -0400

openafs (1.6.17-2) unstable; urgency=high

  * debian/rules: Fix FTBFS when built with dpkg-buildpackage -A.
    (Closes: #806088)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 17 Mar 2016 04:48:16 -0400

openafs (1.6.17-1) unstable; urgency=high

  * New upstream release 1.6.16.
    - Fix bosserver crashes related to fixed-sized buffers.
    - Fix potential denial of service issue in pioctl logic
      (CVE-2015-8312).
    - Provide a new vos remaddrs subcommand for removing server entries.
    - Allow pioctls to work with read-only /proc (e.g. Docker containers).
  * New upstream security release 1.6.17.
    - Prevent users in foreign Kerberos realms from creating groups as if
      they were administrators (CVE-2016-2860).
    - Fix an information leak of uninitialized memory over the network.
    - Fix a crash when the AFS root volume is not found.
  * debian/patches/Linux-4.4-key_payload-has-no-member-value.patch,
    debian/patches/Linux-4.4-Use-locks_lock_file_wait.patch,
    debian/patches/Linux-4.4-Do-not-use-splice.patch:
    Add upstream patches for current Linux kernel support.  (Closes: #815521)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 17 Mar 2016 00:55:42 -0400

openafs (1.6.9-2+deb8u4) jessie-security; urgency=high

  * Apply upstream security patches corresponding to the 1.6.15 release:
    - OPENAFS-SA-2015-007 (CVE-2015-7762, CVE-2015-7763): rx ACK packets
      reveal plaintext of previously encrypted data packets.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 28 Oct 2015 11:58:48 -0400

openafs (1.6.9-2+deb8u3) jessie-security; urgency=high

  * Apply upstream security patches from the 1.6.13 release (thanks to
    Benjamin Kaduk <kaduk@mit.edu> for providing the patches):
    - OPENAFS-SA-2015-001 (CVE-2015-3282): vos leaks stack data onto the wire when creating
      vldb entries
    - OPENAFS-SA-2015-002 (CVE-2015-3283): bos commands can be spoofed, including some
      which alter server state
    - OPENAFS-SA-2015-003 (CVE-2015-3284): pioctls leak kernel memory contents
    - OPENAFS-SA-2015-004 (CVE-2015-3285): kernel pioctl support for OSD command parsing
      can trigger a panic
    - OPENAFS-SA-2015-006 (CVE-2015-3287): Buffer overflow in OpenAFS vlserver
  * The patch for OPENAFS-SA-2015-005 is not applied, since that
    vulnerability is limited to the Solaris kernel module

 -- Sebastien Delafond <seb@debian.org>  Thu, 30 Jul 2015 11:53:25 +0200

openafs (1.6.9-2+deb8u2) testing; urgency=high

  * The build fix in 1.6.9-2+deb8u1 was incomplete; import more patches
    from upstream to complete the build fix. (Closes: #778196.)

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 02 Mar 2015 14:07:00 -0500

openafs (1.6.9-2+deb8u1) testing; urgency=high

  * Import patches from upstream:
    - Avoid using stale data version after writepage. (Closes: #778851.)
    - Fix build when d_alias is in the d_u union. (Closes: #778196.)

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 20 Feb 2015 12:55:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
@@ -10,7 +9,7 @@
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
 Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
  xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.openafs.org/
 Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git
@@ -35,7 +34,7 @@
 
 Package: openafs-fuse
 Priority: extra
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
  openafs-client (= ${binary:Version})
 Description: AFS distributed file system experimental FUSE client
@@ -121,7 +120,7 @@
 
 Package: libkopenafs1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (PAGs)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -134,7 +133,7 @@
 
 Package: libafsauthent1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (authentication)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -146,7 +145,7 @@
 
 Package: libafsrpc1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (RPC layer)
  AFS is a distributed filesystem allowing cross-platform sharing of

## openafs 1.6.18.3

=== debian/changelog ===
openafs (1.6.18.3-2) unstable; urgency=medium

  * Drop hardening-wrapper in favor of passing flags via CC.
    (Closes: #836642)
  * Clean doxyen-generated documentation with dh_doxygen.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 11 Sep 2016 17:15:39 -0400

openafs (1.6.18.3-1) unstable; urgency=medium

  * New upstream release 1.6.18.3:
    - Support Linux kernel 4.7.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 04 Aug 2016 15:44:22 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
- cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
+ cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
-Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
+Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
 Standards-Version: 3.9.8
 Homepage: http://www.openafs.org/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-
-# Enable hardening flags in hardening-wrapper.  This is a temporary
-# workaround until upstream supports using user-provided CFLAGS, CPPFLAGS,
-# and LDFLAGS.
-export DEB_BUILD_HARDENING = 1
 
 # Tell Autoconf the correct system types.
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -94,6 +89,9 @@
 
 # Handle the renaming of the up man page to afs-up here since the man pages
 # are generated from POD source by regen.sh.
+#
+# As a temporary workaround until upstream supports using
+# user-provided CFLAGS, CPPFLAGS, and LDFLAGS, we pass these via CC.
 override_dh_auto_configure:
 	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
 	echo '$(DEBIAN)'-debian > .version
@@ -102,7 +100,7 @@
 	sh regen.sh
 	afslogsdir=/var/log/openafs afslocaldir=/var/lib/openafs/local	   \
 	    sh configure						   \
-	    CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
+	    CC='$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)'			   \
 	    --with-afs-sysname=$(SYS_NAME) --disable-kernel-module	   \
 	    --prefix=/usr --mandir=\$${prefix}/share/man		   \
 	    --sysconfdir=/etc --libexecdir=/usr/lib --with-krb5		   \
@@ -177,3 +175,6 @@
 
 # Override dh_install for architecture-independent builds to handle
 # installation of all the extra documentation that upstream doesn't install
+# by default and install the source required for the kernel source package
+# and the DKMS package.
+override_dh_install-indep:

## openafs 1.6.20

=== debian/changelog ===
openafs (1.6.20-2ubuntu1) zesty; urgency=medium

  * Cherry pick proposed patch to fix build with Linux 4.10.

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 14 Feb 2017 13:57:26 -0600

openafs (1.6.20-2) unstable; urgency=medium

  * Build-Depend debhelper (>= 9.20160114) for dh_strip
    --dbgsym-migration.
  * debian/patches:
    - LINUX-split-dentry-eviction-from-osi_TryEvictVCache.patch,
      Reformat-src-afs-LINUX-osi_vcache.c.patch,
      LINUX-do-not-use-d_invalidate-to-evict-dentries.patch,
      afs-shake-harder-in-shake-loose-vcaches.patch: Avoid system hangs on
      busy machines due to vcache deallocation failures.
    - Linux-4.9-deal-with-demise-of-GROUP_AT.patch,
      Linux-4.9-inode_operation-rename-now-takes-flags.patch,
      Linux-4.9-inode_change_ok-becomes-setattr_prepare.patch: Support
      Linux kernel 4.9.  (Closes: #847011)
    - AFS_component_version_number.c-Respect-SOURCE_DATE_E.patch:
      Respect SOURCE_DATE_EPOCH in cml_version_number to improve build
      reproducibility.
  * openafs-modules-source: Generate /usr/src/openafs.tar.bz2
    reproducibly.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 04 Dec 2016 17:49:15 -0500

openafs (1.6.20-1) unstable; urgency=high

  * New upstream release (1.6.19):
    - Fix issue that could result in using out-of-date database versions
      in rare cases
    - Don't commit more data to a file than was actually copied during writes,
      which could happen on architectures with a page size greater than 4K
  * New upstream security release (1.6.20):
    - Fix information leakage (file/directory names) from reused directory
      buffers

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 30 Nov 2016 16:52:29 -0500

openafs (1.6.18.3-3) unstable; urgency=medium

  * Drop openafs-dbg in favor of automatically generated dbgsym packages.
  * Mark openafs-doc Multi-Arch: foreign.
  * debian/patches/tests-util-ktime-t.c-Specify-EST-offset-in-TZ.patch:
    Fix FTBFS with tzdata uninstalled.  (Closes: #839481)
  * Depend lsb-base (>= 3.0-6) in openafs-client and openafs-fileserver
    for /lib/lsb/init-functions.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 12 Oct 2016 18:04:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
+Build-Depends: debhelper (>= 9.20160114~), autoconf, automake, bison, comerr-dev,
  cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
 Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
@@ -16,7 +17,7 @@
 
 Package: openafs-client
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
  | openafs-modules-source (>= ${source:Version})
  | openafs-modules3
@@ -66,7 +67,7 @@
 
 Package: openafs-fileserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, openafs-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), openafs-client
 Recommends: ntp | time-daemon
 Suggests: openafs-doc
 Description: AFS distributed filesystem file server
@@ -95,6 +96,7 @@
 Package: openafs-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: AFS distributed filesystem documentation
  AFS is a distributed filesystem allowing cross-platform sharing of files
@@ -216,17 +218,3 @@
  kaserver for authentication.  New sites should use a Kerberos v5
  implementation, a Kerberos v5 PAM module such as libpam-krb5, and
  libpam-afs-session.
-
-Package: openafs-dbg
-Section: debug
-Priority: extra
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${misc:Depends}, openafs-fileserver (= ${binary:Version})
- | openafs-dbserver (= ${binary:Version})
-Description: AFS distributed filesystem debugging information
- AFS is a distributed filesystem allowing cross-platform sharing of
- files among multiple computers.  Facilities are provided for access
- control, authentication, backup and administrative management.
- .
- This package contains the debugging information for the OpenAFS
- server binaries (the openafs-fileserver and openafs-dbserver packages).
